%define		mod_name	vhost_limit
%define		apxs		/usr/sbin/apxs
Summary:	Apache module: clients restriction per vhost
Summary(pl.UTF-8):	Moduł Apache'a - ograniczanie klientów dla vhosta
Name:		apache-mod_%{mod_name}
Version:	0.2
Release:	2
License:	Apache
Group:		Networking/Daemons/HTTP
Source0:	http://apache.ivn.cl/files/source/mod_vhost_limit-%{version}.tgz
# Source0-md5:	7379520e078d26503f8323e7f36302fb
Patch0:		mod_vhost_limit-apache24.patch
URL:		http://apache.ivn.cl/#vhostlimit
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.0
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
Restrict the number of simultaneous connections per vhost.

%description -l pl.UTF-8
Moduł ograniczający liczbę jednoczesnych połączeń dla vhosta.

%prep
%setup -q -n mod_vhost_limit-%{version}
%patch0 -p1

%build
%{apxs} -c mod_vhost_limit.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

libtool --mode=install install mod_vhost_limit.la $RPM_BUILD_ROOT%{_pkglibdir}
libtool --finish $RPM_BUILD_ROOT%{_pkglibdir}
rm -f $RPM_BUILD_ROOT%{_pkglibdir}/*.{l,}a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_pkglibdir}/*.so
%changelog
* Sun May 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_vhost_limit.git;a=log;h=master

* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> d5b3bc4
- build with apache 2.4
- rel 2

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 650a6a3
- HTTP group

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 857b687
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> 9a63112
- BR s@%{apxs}@apache-apxs@g

* Sun Jun 03 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e87db6
- up to 0.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1f472ff
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7b380b0
- converted to UTF-8

* Fri Nov 24 2006 Jakub Bogusz <qboosh@pld-linux.org> e848bc3
- pl

* Sun Nov 19 2006 Elan Ruusamäe <glen@pld-linux.org> 710bb85
- cleanup from some template?

* Sun Nov 19 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c358bb
- allows limiting max clients on per vhost basis

* Sun Sep 05 2004 radek <radek@pld-linux.org> b0f46f3
- mv apache{,1}-*

* Mon Feb 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 00a9716
- md5

* Mon Feb 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 15be00b
- pl description

* Fri Feb 13 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> c11710c
- new

